Konstante 'Running Android Lint' fehlgeschlagen, nullpointerexception auftauchen in Eclipse (aber scheint nicht, mein Code zu sein)

Ich erinnere mich nicht, was es ist ich aktualisiert (wahrscheinlich einige Android-ADK-Artikel), aber plötzlich bekomme ich immer ein "Problem aufgetreten" Textfeld in Eclipse, häufig . Es sagt:

'Running Android Lint' hat ein Problem aufgetreten. Gescheitert

  • Verständnis von @SuppressLint ("NewApi") Annotation
  • Warum kann ich nicht "run Android lint" aus dem Menü "Window" in Eclipse in der Symbolleiste Ich kann es laufen, ist es OK?
  • Lint für Android in Eclipse gibt falsche Ergebnisse
  • Warum isst Android Lint über String.format mit Standard-Gebietsschema, wenn explizit Locale.US verwendet?
  • Und es gibt eine OK und eine Details-Taste. Wenn ich auf Details klicke, bekomme ich:

    Fehlgeschlagen java.lang.NullPointerException

    Aus dem Textfeld kann ich nicht sagen, was es ist, dass es gescheitert ist …. es klingt wie das Laufen von Lint selbst fehlgeschlagen und scheiterte an einem NPE. Es gibt keine Zeilennummer, die mit irgendeinem meiner Code irgendwo verbunden ist, also denke ich nicht, dass es von meinem Code ist.

    Ich habe versucht zu deaktivieren Lint zusammen mit allem anderen … aber klicken Sie auf die Checkbox für "Runs Android Lint" nur Ursachen Lint zu laufen, und damit die Meldung Box Warnung. Es scheint tatsächlich zu laufen, da mehrere Lint-Warnungen auf der Unterseite erscheinen. Aber es scheint immer noch so, als würde es mir sagen, dass Lint selbst eine NPE hat … und ich habe auf eine Idee, wo das zu reparieren ist.

    Ich laufe Eclipse SDK 3.7.2 in Windows Home Premium 64bit, mit JDK 6 (vor kurzem deinstalliert JDK 7 und installiert 6 statt.)

  • Typ R ist bereits definierter Fehler
  • Gradle benutzerdefinierte Repositories und Abhängigkeit Auflösung
  • Fehlende AndroidManifest.xml beim Import eines alten Android-Projekts in Eclipse
  • Erhalten Sie aktuelle Aktivität von Application.Context - MonoAndroid
  • Wie Android Handle mehrere R.java?
  • Android: Eclipse autocomplete funktioniert nicht in XML-Dateien
  • 8 Solutions collect form web for “Konstante 'Running Android Lint' fehlgeschlagen, nullpointerexception auftauchen in Eclipse (aber scheint nicht, mein Code zu sein)”

    Dies wird durch einen Fehler in ADT 23.0.2 verursacht, der hier aufgeführt wird: https://code.google.com/p/android/issues/detail?id=73002

    Upgrade auf 23.0.3 behoben für mich.

    1. Starten Sie die Eklipse
    2. Gehen Sie zu Hilfe-> Neue Software installieren
    3. Wählen Sie "Android Developer Tools Update Site – https://dl.google.com/android/eclipse/ " aus dem Dropdown (Sie können es hinzufügen, wenn Sie es nicht haben, indem Sie auf Hinzufügen und Einfügen von Name und URL klicken)
    4. Überprüfen Sie das Developer Tools-Paket in der Paketliste (erweitern Sie es und stellen Sie sicher, dass alle Unterpakete überprüft werden)
    5. Um einen Fehler bei der Installation zu vermeiden, deaktivieren Sie "Kontakt alle Update-Sites während der Installation, um die benötigte Software zu finden"
    6. Klicken Sie auf Weiter, akzeptieren Sie Lizenzen, klicken Sie auf Weiter
    7. Sobald die Installation beendet ist, starten Sie Eclipse neu.

    Im Fenster> Voreinstellungen> Android> Lint Fehlerprüfung; Deaktivieren "Beim Speichern von Dateien auf Fehler überprüfen.

    Ich musste meine Projekteinstellungen unter Android auf die API-Ebene ändern, die ich in android:targetSdkVersion . Jetzt ist das Problem weg.

    Habe gerade dieses Problem selber. Es war zu einer einzigen Bibliothek isoliert, da ich jedes Paket reinigen und neu erstellen konnte und nur einer diesen Fehler gemeldet hatte. Ich habe endlich einige Bearbeitungen aus einer Quelldatei herausgerollt und die Lint-Ausnahme ging weg. Es war nur eine aufgezählte Art als formaler Parameter in einer Methode, die ziemlich unschädlich schien, aber da gehst du. Es scheint ein Lint-Bug zu sein, aber ein heftiger. Ich hoffe, das hilft.

    Ich habe dieses Problem, nachdem ich von Android 19 auf 20 in meinem Manifest aktualisiert. Ich habe das getan, weil Eclipse weinte, dass ich nicht mit der neuesten Android-Version und sollte darüber nachdenken, es zu aktualisieren.

      <uses-sdk android:minSdkVersion="17 android:targetSdkVersion="20" /> 

    Der Fehler könnte aufgetreten sein, weil ich nicht das letzte SDK (20) installiert habe.

    Umschalten auf:

      <uses-sdk android:minSdkVersion="17" android:targetSdkVersion="19" /> 

    Das Problem wurde für mich behoben.

    Ich hatte dieses Problem und es stellte sich heraus, dass Java-Compiler auf 1,5 zurückgekehrt war. Die Einstellung auf 1.6 hat diese Probleme behoben. Eigenschaften> Java Compiler? Compiler-Compliance-Ebene: 1.6. Ich sehe das gelegentlich, aber ich bin mir nicht sicher, warum der Compiler wieder auf 1,5 zurückkehrt.

    Die folgenden Schritte haben mir geholfen, das gleiche Problem zu lösen.

    Auf meinem Projekt -> Kontextmenü -> Android-Tools -> Fix-Projekteigenschaften Ändern der neuesten Version in AndroidManifest.xml

    Ich bin kein Experte und Englisch ist nicht meine Muttersprache. Aber ich habe eine Arbeit für dieses Problem.

    Ich stieß auf das Problem, als die appocompat_v7 Daten zerstört wurden. Also habe ich diesen apk in den Arbeitsbereich gelöscht. Dann habe ich einen neuen apk in meinem Arbeitsbereich in der appcom … generiert wurde automatisch generiert und jetzt funktioniert es.

    Das Android ist ein Google Android Fan-Website, Alles ├╝ber Android Phones, Android Wear, Android Dev und Android Spiele Apps und so weiter.